from typing import Annotated

from fastapi import APIRouter, Depends

from api.application.contracts.user import UserResponse
from api.infrastructure.dependencies.stub import Stub

user_router = APIRouter(prefix="/users", tags=["Users"])


@user_router.get("/")
async def get_all_users() -> list[UserResponse]:
    return []
